Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface IndexedPanel

All Known Subinterfaces:
  IndexedPanel.ForIsWidget, InsertPanel, InsertPanel.ForIsWidget

All Known Implementing Classes:
  AbsolutePanel, CellPanel, ComplexPanel, DeckLayoutPanel, DeckPanel, DecoratedStackPanel, DecoratedTabPanel, DockLayoutPanel, DockPanel, FlowPanel, HorizontalPanel, HTMLPanel, LayoutPanel, RenderablePanel, RootLayoutPanel, RootPanel, SplitLayoutPanel, StackLayoutPanel, StackPanel, TabLayoutPanel, TabPanel, VerticalPanel

    public interface IndexedPanel

Implemented by panels that impose an explicit ordering on their children.

See Also:
  `InsertPanel`

Nested Class Summary
`static interface` | `IndexedPanel.ForIsWidget` Extends this interface with convenience methods to handle `IsWidget`.

Method Summary
`Widget` | `getWidget(int index)` Gets the child widget at the specified index.
`int` | `getWidgetCount()` Gets the number of child widgets in this panel.
`int` | `getWidgetIndex(Widget child)` Gets the index of the specified child widget.
`boolean` | `remove(int index)` Removes the widget at the specified index.

Method Detail

### getWidget

    Widget getWidget(int index)

  Gets the child widget at the specified index.

  Parameters:
    `index` - the child widget's index
  Returns:
    the child widget

### getWidgetCount

    int getWidgetCount()

  Gets the number of child widgets in this panel.

  Returns:
    the number of children

### getWidgetIndex

    int getWidgetIndex(Widget child)

  Gets the index of the specified child widget.

  Parameters:
    `child` - the widget to be found
  Returns:
    the widget's index, or `-1` if it is not a child of this panel

### remove

    boolean remove(int index)

  Removes the widget at the specified index.

  Parameters:
    `index` - the index of the widget to be removed
  Returns:
    `false` if the widget is not present

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD